$font-path: '/assets/fonts/';
@import '../../../../../dist/libs/arbetsformedlingen/dist/digi-arbetsformedlingen/fonts/src/fonts.scss';
@import '../../../../../dist/libs/arbetsformedlingen/dist/digi-arbetsformedlingen/digi-arbetsformedlingen.css';

/*
Global App CSS
----------------------
Use this file for styles that should be applied to all components.
For example, "font-family" within the "body" selector is a CSS property
most apps will want applied to all components.

Any global CSS variables should also be applied here.
*/

body {
  min-height: 100vh;
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: var(--digi--global--typography--font-family--default);
  font-weight: var(--digi--typography--body--font-weight--desktop);
  font-style: normal;
  font-size: var(--digi--typography--body--font-size--desktop);
  color: var(--digi--color--text--primary);
  line-height: 1.5;
}

// TODO: These are temporary overrides! Move over to real components. Sync with SKV
digi-typography {
  th {
    font: revert;
  }

  ul,
  ol,
  li {
    margin: revert;
    padding: revert;
    list-style: revert;
  }

  ul li {
    margin-bottom: var(--digi--margin--medium);
  }

  h1 {
    margin-top: var(--digi--padding--largest);
    max-width: var(--digi--paragraph-width--medium);
  }

  h2,
  h3,
  h4,
  h5,
  h6 {
    margin-top: var(--digi--padding--medium);
    max-width: var(--digi--paragraph-width--medium);
  }

  .digi-code-example h1,
  .digi-code-example h2,
  .digi-code-example h3,
  .digi-code-example h4,
  .digi-code-example h5,
  .digi-code-example h6 {
    margin-top: 0;
    max-width: unset;
  }

  article a {
    max-width: var(--digi--paragraph-width--medium);
  }

  .example-description {
    font-size: var(--digi--global--typography--font-size--small);
  }
  .example-description-heading {
    margin-top: 0;
    font-size: var(--digi--global--typography--font-size--small);
    font-weight: var(--digi--global--typography--font-weight--semibold);
    margin-bottom: var(--digi--global--spacing--smallest-4);
  }
}
